Subject: bug#39823: 26.3; update-directory-autoloads regression from Emacs 26 to Emacs 27

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Oct 2020 04:36:08 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I just feel that the logic in these functions is kinda obscure, what
> with the mix of dynamically-bound variables, function parameters and
> local variables.  The patch removes the former from the mix, making them
> easier to reason about (and read).

I went ahead and pushed this change (which also fixes bug#38694) even if
it was more invasive than I'd have preferred.  I think the new interface
is better, and anyway: Sunk cost fallacy.

Let me know if I broke anything.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no